GNU bug report logs - #41330
Patch to expose #:scheme-file-regexp in guile build system

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: alex@HIDDEN; Keywords: fixed; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 41330 <at> debbugs.gnu.org and alex@HIDDEN Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41330 <at> debbugs.gnu.org:


Received: (at 41330) by debbugs.gnu.org; 18 May 2020 14:05:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 18 10:05:12 2020
Received: from localhost ([127.0.0.1]:47857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jagOF-0005Oy-Fk
	for submit <at> debbugs.gnu.org; Mon, 18 May 2020 10:05:12 -0400
Received: from www140.your-server.de ([88.198.28.10]:40942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1jafyo-0004Ms-An
 for 41330 <at> debbugs.gnu.org; Mon, 18 May 2020 09:38:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=komputilo.eu; s=default1904; h=Content-Transfer-Encoding:Content-Type:
 MIME-Version:Message-ID:Date:In-reply-to:Reply-To:Subject:Cc:To:From:
 References:Sender:Content-ID:Content-Description:Resent-Date:Resent-From:
 Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:
 List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eRe9onehdc4c02hp/x7YtaYjov6Qh00G77Jp3ETL/QM=; b=EQAqMUE30WQjtdU9gz+BYmSiu/
 XASr5paapB5TXLwRWwYdrvdxuaDD6cuI2qu5NkrtmMkym0X3PdNGZmKP/sBiskl788Tf7Jyg/U2Vg
 cLWG+10ubiom/J8VYVgrUMD9Qdi4m+iILlpOB36tuPSGE8f42wW+JQtAO6FhWs+fzK0pliVpWMlga
 41DsgUymYNAtMEbiWnWoSLKLLlBKrzuY3ti0G1D/rjrTwg9j2/fTVGdeavNNthEfQmMIHaPbIMww9
 WW92fWnY/u65WdAZptLlTTfF18xzMMUIAuCn53qLis8FHBQFa+bIDxeBj+lrHzvc90v8JII4ZfqDG
 BaYfZwvA==;
Received: from sslproxy06.your-server.de ([78.46.172.3])
 by www140.your-server.de with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <alex@HIDDEN>)
 id 1jafyh-000242-Uz; Mon, 18 May 2020 15:38:48 +0200
Received: from [2a02:a03f:643c:5900:f200:b379:1817:18a7] (helo=watership)
 by sslproxy06.your-server.de with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <alex@HIDDEN>)
 id 1jafyh-000Rhd-PZ; Mon, 18 May 2020 15:38:47 +0200
References: <87lflsc85w.fsf@HIDDEN> <87pnb1ifwe.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Alex Sassmannshausen <alex@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#41330] Patch to expose #:scheme-file-regexp in guile build
 system
In-reply-to: <87pnb1ifwe.fsf@HIDDEN>
Date: Mon, 18 May 2020 15:38:47 +0200
Message-ID: <87tv0dcqhk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Authenticated-Sender: alex@HIDDEN
X-Virus-Scanned: Clear (ClamAV 0.102.2/25816/Mon May 18 14:17:08 2020)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41330
X-Mailman-Approved-At: Mon, 18 May 2020 10:05:08 -0400
Cc: 41330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: alex@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Saluton,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Alex,
>
> Alex Sassmannshausen <alex@HIDDEN> skribis:
>
>>>From b798fef327c86b82f336e3fec0e96b791032f470 Mon Sep 17 00:00:00 2001
>> From: Alex Sassmannshausen <alex@HIDDEN>
>> Date: Sat, 16 May 2020 15:32:45 +0200
>> Subject: [PATCH] build-system/guile: Expose #:scheme-file-regexp.
>>
>> * guix/build-system/guile.scm (%scheme-file-regexp): New variable.
>>   (guile-build): Accept #:scheme-file-regexp and pass it on to builder.
>
> LGTM, dankon!  :-)
>
> Ludo=E2=80=99.

Pushed now.

Thanks for the review!

Alex




Information forwarded to guix-patches@HIDDEN:
bug#41330; Package guix-patches. Full text available.

Message received at 41330 <at> debbugs.gnu.org:


Received: (at 41330) by debbugs.gnu.org; 18 May 2020 12:31:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 18 08:31:14 2020
Received: from localhost ([127.0.0.1]:46184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jaevK-0000aZ-7c
	for submit <at> debbugs.gnu.org; Mon, 18 May 2020 08:31:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jaevE-0000aG-JS
 for 41330 <at> debbugs.gnu.org; Mon, 18 May 2020 08:31:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56529)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jaev9-0000WQ-8R; Mon, 18 May 2020 08:31:03 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=37664 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jaev6-00057q-JV; Mon, 18 May 2020 08:31:01 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Alex Sassmannshausen <alex@HIDDEN>
Subject: Re: [bug#41330] Patch to expose #:scheme-file-regexp in guile build
 system
References: <87lflsc85w.fsf@HIDDEN>
Date: Mon, 18 May 2020 14:30:57 +0200
In-Reply-To: <87lflsc85w.fsf@HIDDEN> (Alex Sassmannshausen's message of
 "Sat, 16 May 2020 15:37:47 +0200")
Message-ID: <87pnb1ifwe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41330
Cc: 41330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Alex,

Alex Sassmannshausen <alex@HIDDEN> skribis:

>>From b798fef327c86b82f336e3fec0e96b791032f470 Mon Sep 17 00:00:00 2001
> From: Alex Sassmannshausen <alex@HIDDEN>
> Date: Sat, 16 May 2020 15:32:45 +0200
> Subject: [PATCH] build-system/guile: Expose #:scheme-file-regexp.
>
> * guix/build-system/guile.scm (%scheme-file-regexp): New variable.
>   (guile-build): Accept #:scheme-file-regexp and pass it on to builder.

LGTM, dankon!  :-)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#41330; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 May 2020 16:35:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 16 12:35:55 2020
Received: from localhost ([127.0.0.1]:41577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZzn0-0001El-T1
	for submit <at> debbugs.gnu.org; Sat, 16 May 2020 12:35:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:50182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1jZx0m-0004yR-Op
 for submit <at> debbugs.gnu.org; Sat, 16 May 2020 09:37:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54668)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <alex@HIDDEN>) id 1jZx0m-0004eC-Ht
 for guix-patches@HIDDEN; Sat, 16 May 2020 09:37:56 -0400
Received: from www140.your-server.de ([88.198.28.10]:55882)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <alex@HIDDEN>) id 1jZx0k-00007G-TW
 for guix-patches@HIDDEN; Sat, 16 May 2020 09:37:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=komputilo.eu; s=default1904; h=Content-Type:MIME-Version:Message-ID:Date:
 Reply-To:Subject:To:From:Sender:Cc:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ky2caq247lFUUptaOb+p+/VGdGPwrxRaO5GQCbrZF78=; b=jEwTpFn25aumXQLMYvx9wxsy23
 usil5T+HHqyaIc0RLAN9Ue2DYGvoIRyBLKQ62bjtfQ1odciGFfG4EBBQRq5ncnfO9CCSzccJlk6FR
 mYxkd6pOI9HBzZKQ9luqYKuFxzJYYrDK4h7Q6MwjrkHoLyclkqvh/ADqFXj4CbPdhOKYkugkl//0t
 8iqDT9Jg5pl8pkmimBbc7LEv41tYxrIzFFNQjzOkgdYjM4H9LNhd9SPlGBkTLB32kTMD1HJSoiwOI
 MA6LpcE9ganyE+k3J9ngDWqTvBYH0i8MyNtNrKoQSVczXEpKn1Ve8Wj2LIS0Y7yMt1vxTrO7V9ChV
 hXf6Pg/Q==;
Received: from sslproxy05.your-server.de ([78.46.172.2])
 by www140.your-server.de with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <alex@HIDDEN>) id 1jZx0d-0003EM-Tx
 for guix-patches@HIDDEN; Sat, 16 May 2020 15:37:47 +0200
Received: from [2a02:a03f:643c:5900:f200:b379:1817:18a7] (helo=watership)
 by sslproxy05.your-server.de with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <alex@HIDDEN>) id 1jZx0d-00045N-QP
 for guix-patches@HIDDEN; Sat, 16 May 2020 15:37:47 +0200
User-agent: mu4e 1.2.0; emacs 26.3
From: Alex Sassmannshausen <alex@HIDDEN>
To: "guix-patches\@gnu.org" <guix-patches@HIDDEN>
Subject: Patch to expose #:scheme-file-regexp in guile build system
Date: Sat, 16 May 2020 15:37:47 +0200
Message-ID: <87lflsc85w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Authenticated-Sender: alex@HIDDEN
X-Virus-Scanned: Clear (ClamAV 0.102.2/25814/Sat May 16 14:13:59 2020)
Received-SPF: pass client-ip=88.198.28.10; envelope-from=alex@HIDDEN;
 helo=www140.your-server.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/16 09:37:48
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x (no timestamps) [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 16 May 2020 12:35:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: alex@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Hello,

Please see proposition below.  Exposing this argument makes it possible
to only install specific scheme files in a project using the
guile-build-system.

WDYT?

Alex


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-build-system-guile-Expose-scheme-file-regexp.patch

From b798fef327c86b82f336e3fec0e96b791032f470 Mon Sep 17 00:00:00 2001
From: Alex Sassmannshausen <alex@HIDDEN>
Date: Sat, 16 May 2020 15:32:45 +0200
Subject: [PATCH] build-system/guile: Expose #:scheme-file-regexp.

* guix/build-system/guile.scm (%scheme-file-regexp): New variable.
  (guile-build): Accept #:scheme-file-regexp and pass it on to builder.
---
 guix/build-system/guile.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/guix/build-system/guile.scm b/guix/build-system/guile.scm
index 3693014694..45e735b987 100644
--- a/guix/build-system/guile.scm
+++ b/guix/build-system/guile.scm
@@ -29,6 +29,10 @@
   #:export (%guile-build-system-modules
             guile-build-system))
 
+(define %scheme-file-regexp
+  ;; Regexp to match Scheme files.
+  "\\.(scm|sls)$")
+
 (define %guile-build-system-modules
   ;; Build-side modules imported by default.
   `((guix build guile-build-system)
@@ -80,6 +84,7 @@
                       (system (%current-system))
                       (source-directory ".")
                       not-compiled-file-regexp
+                      (scheme-file-regexp %scheme-file-regexp)
                       (compile-flags %compile-flags)
                       (imported-modules %guile-build-system-modules)
                       (modules '((guix build guile-build-system)
@@ -97,6 +102,7 @@
                                 (source
                                  source))
                     #:source-directory ,source-directory
+                    #:scheme-file-regexp ,scheme-file-regexp
                     #:not-compiled-file-regexp ,not-compiled-file-regexp
                     #:compile-flags ,compile-flags
                     #:phases ,phases
-- 
2.23.0


--=-=-=--




Acknowledgement sent to alex@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41330; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 23 May 2020 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.